# sasdata.dataloader.readers.red2d_reader module

TXT/IGOR 2D Q Map file reader

class sasdata.dataloader.readers.red2d_reader.Reader

  Bases: `FileReader`

  Simple data reader for Igor data files

  ext = ['.DAT', '.dat']
  get_file_contents()

    Reader specific class to access the contents of the file All reader classes that inherit from FileReader must implement

  type = ['IGOR/DAT 2D file in Q_map (*.dat)|*.DAT']
  type_name = 'IGOR/DAT 2D Q_map'
  write(filename: str, data: Data2D)

    Write to .dat

    Parameters:

      - filename – file name to write

      - data – data2D

sasdata.dataloader.readers.red2d_reader.check_point(x_point: Any)

  check point validity